import type { ZegoLogger } from "../common/zego.entity";
export declare const ZegoPromise: PromiseConstructor;
export declare const ZegoDocument: Document;
export declare function getUserAgent(): string;
export declare function getBrowserAndVersion(): {
    name: string;
    version: string;
};
export declare function isSafari(): boolean;
/**
 * 当前设备是否为chrome
 * @returns boolean
 */
export declare function isChrome(): boolean;
/**
 * 当前设备是否为chrome
 * @returns boolean
 */
export declare function isFirefox(): boolean;
export declare function createVideoEle(width?: number, height?: number, autoplay?: boolean): HTMLVideoElement;
export declare function createAudioEle(mute: boolean): HTMLAudioElement;
export declare function createCanvasEle(width: number, height: number): HTMLCanvasElement;
export declare function actionCall(logger: ZegoLogger, action: string, content?: string): void;
export declare function actionEnd(logger: ZegoLogger, action: string, content?: string): void;
export declare function actionSuccess(logger: ZegoLogger, action: string, content?: string): void;
/**
 * 当前设备是否为移动设备
 * @returns boolean
 */
export declare function isMobile(): boolean;
export declare function isWeChat(): boolean;
export declare function getIosVersion(): string;
export declare function getBrowserVersion(): string;
export declare function getRandomNumber(min: number, max: number): number;
export declare function longToNumber(long: any): number;
export declare function moduleRejectFn(moduleName: string, errorCode?: number): Promise<{
    errorCode: number;
    extendedData: string;
}>;
export declare const roomNotExistStr = "room not exist";
export declare const deviceIsNotFoundStr = "device is not found";
export declare const streamNotFromZegoStr = "stream is not from zego";
export declare const inputParamErrorStr = "input param error";
export declare const localStreamWrongStr = "local stream wrong";
export declare const noPreviewStr = "no preview";
export declare const publishStreamNoFoundStr = "publish stream no found";
export declare const networkIsBrokenStr = "network is broken";
export declare const stopRetryStr = "stop retry";
